Bug 228143 - po-mode broken
po-mode broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-10 07:18 EST by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 13:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This seems to fix the problem. (610 bytes, patch)
2007-02-23 14:42 EST, Chip Coldwell
no flags Details | Diff

  None (edit)
Description Kjartan Maraas 2007-02-10 07:18:54 EST
Description of problem:

Emacs po-mode is broken in rawhide.

When opening a .po file in emacs I see this:

"Wrong type argument: stringp, nil" and I can't edit the file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2007-02-21 06:47:22 EST
Anything else I can provide to help speed this up?
Comment 2 Chip Coldwell 2007-02-23 09:44:59 EST
(In reply to comment #1)
> Anything else I can provide to help speed this up?

Patches?
Comment 3 Chip Coldwell 2007-02-23 09:48:12 EST
Dan:

Care to revise your comment in bug 176171 about po-compat.el not being needed?

Chip
Comment 4 dann 2007-02-23 10:24:05 EST
(In reply to comment #3)
> Dan:
> 
> Care to revise your comment in bug 176171 about po-compat.el not being needed?

I think the problem is with the rpms... 
I can reproduce the problem with the binary rpms on FC5. 
But if I extract the tar.gz file from the srpm and rebuild emacs (./configure;
make bootstrap), I don't see the problem. Nor do I see it with emacs CVS HEAD

As a side note, IMHO po-mode.el should be included in the emacs distribution,
but this is something people that actually use it should try to do...
Comment 5 Chip Coldwell 2007-02-23 14:12:55 EST
(In reply to comment #4)
> 
> I think the problem is with the rpms... 
> I can reproduce the problem with the binary rpms on FC5. 
> But if I extract the tar.gz file from the srpm and rebuild emacs (./configure;
> make bootstrap), I don't see the problem. Nor do I see it with emacs CVS HEAD

I think the issue is that it's not loading /usr/share/emacs/site-lisp because
the prefix defaults to /usr/local.  I can reproduce this from the tarball using

./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu
--target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info --with-pop --with-sound --with-gtk

Chip
Comment 6 Chip Coldwell 2007-02-23 14:42:05 EST
Created attachment 148706 [details]
This seems to fix the problem.

I run a build with this change.  Stay tuned.
Comment 7 Kjartan Maraas 2007-09-24 05:46:07 EDT
po-mode works just fine for me now / in rawhide

Note You need to log in before you can comment on or make changes to this bug.